Class | Regexp
In: | lib/facets/core/regexp/to_regexp.rb lib/facets/core/regexp/arity.rb lib/facets/core/regexp/to_re.rb
Parent: | Object

### Methods

arity to_re to_regexp

### Public Instance methods

arity()

Returns the number of backreferencing subexpressions.

      /(a)(b)(c)/.arity  #=> 3
      /(a(b(c)))/.arity  #=> 3

Note: This is not perfect, especially with regards to \x and embedded comments.

to_re( esc=false )

Simply returns itself. Helpful when converting strings to regular expressions, where regexp might occur as well —in the same vien as using to_s on symbols. The parameter is actaully a dummy parameter to coincide with String#to_re.

      /abc/.to_re  #=> /abc/

to_regexp()

Like to_re, but following Ruby‘s formal definitions, only a Regular expression type object will respond to this.

Note: To be of much real use this should be defined in core Ruby.

[Validate]